sexta-feira, 28 de outubro de 2016

Atualize os drivers intel, nvidia ou radeon no Ubuntu 16.04, 16.10 e derivadas

Se você tem um notebook ou computador com placa gráfica da intel, você pode usar um driver com recursos extras habilitados, de repositório PPA, por sua conta e risco! Tem atualizações constantes e estou usando-o há um bom tempo, sem nenhum problema.

Segundo o responsável, estes drivers melhoram os recursos em 2D e 3D (mesa) como mostro abaixo. Outras informações, você acessa aqui:

* OpenGL 4.5+ support and new OpenGL extensions
* llvm-3.9
* gallium-nine support installed by default
* VDPAU, OpenMAX IL Bellagio, VAAPI and XvMC Gallium3D video drivers
* OpenCL support (mesa-opencl-icd package), including updated libclc
* r600 LLVM compiler
* optional GLAMOR acceleration on radeon (>= r300), and nouveau drivers
* i915 gallium driver replaces by default i915 classic driver

* experimental ilo (intel) and virgl (virtio-gpu) gallium drivers

Para instalá-los, você deve acrescentar os repositórios abaixo no final do arquivo /etc/apt/sources.list, segundo a versão de seu Ubuntu ou distro derivada:

UBUNTU 16.04 e derivadas
# sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys A03A4626
deb http://ppa.launchpad.net/oibaf/graphics-drivers/ubuntu xenial main

UBUNTU 16.10 e derivadas
# sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys A03A4626
deb http://ppa.launchpad.net/oibaf/graphics-drivers/ubuntu yakkety main

Agora rode os comandos abaixo, na ordem:

$ sudo apt-get update
$ sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys A03A4626
$ sudo apt-get update
$ sudo apt-get dist-upgrade

Basta reiniciar a interface gráfica para ter seu novo driver funcionante.

Até a próxima dica!
;-))

segunda-feira, 24 de outubro de 2016

Configurando som de login no LXDE, XFCE e outros ambientes leves

Hoje explico como configurar som de login no LXDE, XFCE ou qualquer interface gráfica que não possua tal recurso nativo. Essa é uma dica cosmética, para os que gostam dos pequenos detalhes que fazem diferença na sua distribuição preferida.

Crie ou baixe o som de login que mais lhe agradar. Há vários sites disponíveis e uma consulta no google resolverá esta parte. Terminado este processo, mova-o para um diretório qualquer, de sua preferência.

Instale o servidor de som pulseaudio, segundo o padrão para sua distro, o que não será visto aqui. Este contém o paplay, que utilizaremos para tocar a som de login.

Agora crie um arquivo "som_login.desktop" no seu diretório:

$ seu_editor_preferido ~/.config/autostart/som_login.desktop

e coloque o conteúdo abaixo:

[Desktop Entry]
Name=Sound login
GenericName=Sound login
Comment=Sound login
Exec=paplay /opt/sound/login.ogg
Terminal=false
Type=Application
StartupNotify=false

Na linha "Exec=" coloquei o aplicativo paplay e o local onde está o som de login, /opt/sound. Mas pode ser qualquer um. Apenas evite nomes compostos, ou seja, com um espaço entre eles, como 'Meus sons'.

Salve o arquivo som.desktop e reinicie a interface gráfica. Curta em seu ambiente gráfico preferido um login personalizado, que dará um charme especial ao seu isfenicídio.

Até a próxima dica!
;-))

sábado, 15 de outubro de 2016

Debian associa gerenciador de arquivos com audacious

O Debian stretch tem um buguezinho chato. Nos gerenciadores baseados no gnome, ao inserir um pendrive ou hd externo, o mesmo é aberto com o audacious, em vez do gerenciador padrão, como nautilus ou nemo.

Mas é fácil corrigi-lo. Basta abrir um terminal e digitar:

$ nano ~/.local/share/applications/mimeapps.list

Agora acrescente as linhas abaixo:

[Default Applications]
inode/directory=file_manager.desktop;

ou

[Default Applications]
inode/directory=nemo.desktop;

ou

[Default Applications]
inode/directory=nautilus.desktop;

Salve as modificações e conecte o dispositivo. Suas mídias removíveis serão abertas pelo gerenciador de arquivos padrão.

Até a próxima dica!
;-)

segunda-feira, 10 de outubro de 2016

Corrigir o erro "Can't locate Gtk2.pm in @INC (you may need to install the Gtk2 module)" no linux

Dica de como resolver o erro "Can't locate Gtk2.pm in @INC (you may need to install the Gtk2 module) ...etc... at /usr/share/perl5/Debconf/FrontEnd/Gnome.pm line 91, <> line 2.)" no linux. 

Mostrarei como fazê-lo no Debian, Ubuntu e derivadas. Nas demais distros, use o procedimento padrão para instalar o pacote libgtk2-perl ou equivalente.

Debian e derivadas
$ su - [ENTER]
# apt-get install libgtk2-perl

Ubuntu e derivadas
$ sudo apt-get install libgtk2-perl

Até a próxima dica!
;-)

sábado, 8 de outubro de 2016

Mudando o volume do mp3, no linux, com o ffmpeg ou libav

Na dica de hoje explico como aumentar ou reduzir a amplitude o som de um arquivo mp3, no linux, usando o ffmpeg ou libav. Este é um fork daquele, com as mesmas funções, mantendo um nome diferente.

Em primeiro lugar, instale o ffmpeg ou libav, o que estiver disponível nos repositórios, segundo o procedimento padrão para sua distro, o que não será visto aqui.

Testei apenas com mp3, mas creio que deva ser possível fazê-lo com ogg, wav e outros formatos. Basta experimentar!

Faremos o procedimento pelo terminal, para que a dica seja compatível com qualquer distribuição existente. Para tal, abra o mesmo no diretório onde se encontra o arquivo mp3 desejado e rode o comando abaixo:


AUMENTAR O SOM

em 10% - ffmpeg
$ ffmpeg -i audio_in af= "volume=1.1" audio_out

em 30% - ffmpeg
$ ffmpeg -i audio_in af= "volume=1.3" audio_out

em 50% - ffmpeg
$ ffmpeg -i audio_in af= "volume=1.5" audio_out

em 10% - libav-tools
$ avconv -i audio_in af= "volume=1.1" audio_out

etc...

Veja que o procedimento é o mesmo com o avconv. Muda apenas o nome do executável, de acordo com o pacote instalado.


DIMINUIR O SOM

para 90% do volume original - ffmpeg
$ ffmpeg -i audio_in af= "volume=0.9" audio_out

para 70% do volume original - ffmpeg
$ ffmpeg -i audio_in af= "volume=0.7" audio_out

para 50% do volume original - ffmpeg
$ ffmpeg -i audio_in af= "volume=0.5" audio_out

para 90% do volume original - libav-tools
$ avconv -i audio_in af= "volume=0.9" audio_out

etc...

Aqui também nada de novidade. Muda apenas os valores para a nova amplitude do áudio.

Até a próxima dica!
;-))

domingo, 2 de outubro de 2016

Corrigindo o erro "cannot open /etc/aptapt.conf.d/99synaptic to write APT::Install-Recommends"

O Debian stretch apresenta o erro "cannot open /etc/aptapt.conf.d/99synaptic to write APT::Install-Recommends" quando você usa o synaptic para gerenciar pacotes nesta distro.

Esse erro impede de tornar as configurações do synaptic permanentes, causando um pequeno transtorno para os fãs deste sabor de linux. Mas é fácil corrigi-lo. Basta seguir as instruções.

Abra um terminal e rode os comandos a seguir, na ordem:

$ su - [ENTER]
# ln -s /etc/apt/apt.conf.d /etc/aptapt.conf.d
# touch /etc/apt/apt.conf.d/99synaptic

Pronto. Toda vez que abrir o synaptic como root, as configurações do aplicativos serão mantidas, facilitando seu trabalho.

Até a próxima dica!
;-)